html,
body {
    height: 100%;
}
body {
    margin-bottom: 0;
}
a {
    transition: all 1.5s ease-in-out;
}
a:hover,
a:focus {
    color: rgba(17, 17, 17, 0.8);
}
h1 {
    padding-top: 20px;
}
#page {
    display: flex;
    flex-direction: column;
    min-height: 100%;
}
.site-content {
    flex: 1 0 auto;
}
footer {
    flex: 0 0 auto;
}
.menu-item:hover a,
.menu-item a:hover {
    color: rdb(17, 17, 17) !important;
    text-decoration: underline;
}
.btn-add-product.in_cart {
    cursor: not-allowed;
    opacity: 0.7;
}
.single_add_to_cart_button {
    border-radius: 8px;
    border: none;
    white-space: nowrap;
    padding: 8px;
}
.btn-orange,
.single_add_to_cart_button {
    background-color: #ff7c0c;
    color: #ffffff;
}
.single_add_to_cart_button {
    cursor: pointer;
}
.btn-add-product {
    cursor: pointer;
    display: flex;
    padding-left: 10px;
    margin-left: 10px;
    gap: 10px;
    transition: all 0.5s ease-in-out;
}
.btn-add-product:hover {
    opacity: 0.7;
}
.btn-add-product > span {
    display: inline-flex;
}
.btn-cart-icon {
    background-image: url("data:image/svg+xml,%3Csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M6.58301 17.5003C5.38592 17.5003 4.42717 18.4699 4.42717 19.667C4.42717 20.8641 5.38592 21.8337 6.58301 21.8337C7.78009 21.8337 8.74967 20.8641 8.74967 19.667C8.74967 18.4699 7.78009 17.5003 6.58301 17.5003ZM0.0830078 0.166992V2.33366H2.24967L6.14426 10.5507L4.68176 13.2049C4.51384 13.5191 4.41634 13.8712 4.41634 14.2503C4.41634 15.4474 5.38592 16.417 6.58301 16.417H19.583V14.2503H7.04342C6.89176 14.2503 6.77259 14.1312 6.77259 13.9795C6.77259 13.9307 6.78342 13.8874 6.80509 13.8495L7.77467 12.0837H15.8455C16.658 12.0837 17.3676 11.6341 17.7413 10.9678L21.6143 3.93699C21.7009 3.78533 21.7497 3.60658 21.7497 3.41699C21.7497 2.81574 21.2622 2.33366 20.6663 2.33366H4.64926L3.62009 0.166992H0.0830078ZM17.4163 17.5003C16.2193 17.5003 15.2605 18.4699 15.2605 19.667C15.2605 20.8641 16.2193 21.8337 17.4163 21.8337C18.6134 21.8337 19.583 20.8641 19.583 19.667C19.583 18.4699 18.6134 17.5003 17.4163 17.5003Z' fill='white'/%3E%3C/svg%3E%0A");
    background-repeat: no-repeat;
    background-position: left;
    padding-left: 12px;
    width: 22px;
}
.main-navigation {
    margin-bottom: 0;
}
.wootable {
    width: 100%;
    box-sizing: border-box;
}

.wootable tr {
    max-width: 100%;
    box-sizing: border-box;
}
.wootable th {
    background-color: #505050;
    color: #ffffff;
}
.wootable th,
.wootable td {
    padding: 12px;
}
.wootable td:nth-child(2) {
    text-align: center;
}
.wootable td:nth-child(3) {
    max-width: 190px;
}
/* Выстраиваем форму в колонку */
.wootable .cart {
    display: flex;
    flex-direction: column;
    gap: 5px; /* отступ между полем и кнопкой */
    align-items: flex-start;
}

/* Растягиваем кнопку на всю ширину ячейки (опционально) */
.wootable .single_add_to_cart_button {
    width: 100%;
    white-space: nowrap; /* чтобы текст в кнопке не бился */
}
.product-name strong {
    display: block;
    word-break: break-word; /* перенос на новую строку в любом месте */
    hyphens: auto; /* добавление переносов */
    min-width: 150px; /* ограничиваем минимальную ширину */
}
.nowrap {
    white-space: nowrap;
}
h2.woocommerce-loop-product__title {
    /* white-space: nowrap; */
}

.woocommerce-customer-details,
.wc-block-checkout__billing-fields,
.wc-block-checkout__payment-method {
    display: none;
}
.woocommerce-order-overview__payment-method,
.woocommerce-table--order-details tfoot tr:nth-child(2) {
    display: none;
}
.site-header {
    min-height: 450px;
    background-size: cover;
    background-position-y: top;
    margin-bottom: 0;
}
.content {
    padding-left: 25px;
    padding-right: 25px;
}
#page {
    position: relative;
    display: flex;
    flex-direction: column;
}
.header1 {
    padding-top: 12px;
    padding-bottom: 12px;
}
.header1 .container {
    padding-left: 45px;
    padding-right: 45px;
}
.header-right {
    gap: 30px;
    position: relative;
}
.social-links {
    margin-right: 40px;
}
.humburger {
    left: auto;
    right: 10px;
}
.humburger span {
    background: rgb(17, 17, 17) !important;
}
.js-mobile-menu-placeholder.open {
    position: absolute;
    top: 111px;
    width: 100%;
    height: 100%;
    background-color: #ffffff;
    z-index: 9999999;
}
#site-navigation-mobile {
    width: 100% !important;
    max-width: 100%;
    height: 100%;
    min-height: 100%;
    /* margin-left: 0 !important;
    margin-right: 0 !important; */
}
.brand {
    max-width: 100px;
}
.d-flex {
    display: flex;
}
.justify-space-between {
    justify-content: space-between;
}
.justify-end {
    justify-content: end;
}
.align-center {
    align-items: center;
}
.header__busket {
    position: relative;
}
.header__busket span {
    display: inline-flex;
    /* line-height: 1.5; */
    height: 50px;
}
.header__busket-img {
    width: 26px;
    /* display: flex;
    align-items: center; */
    background-image: url("data:image/svg+xml,%3Csvg width='26' height='26' viewBox='0 0 26 26' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cg clip-path='url(%23clip0_0_519)'%3E%3Cpath d='M7.58337 19.5001C6.38629 19.5001 5.42754 20.4697 5.42754 21.6667C5.42754 22.8638 6.38629 23.8334 7.58337 23.8334C8.78046 23.8334 9.75004 22.8638 9.75004 21.6667C9.75004 20.4697 8.78046 19.5001 7.58337 19.5001ZM1.08337 2.16675V4.33341H3.25004L7.14462 12.5505L5.68212 15.2047C5.51421 15.5188 5.41671 15.8709 5.41671 16.2501C5.41671 17.4472 6.38629 18.4167 7.58337 18.4167H20.5834V16.2501H8.04379C7.89212 16.2501 7.77296 16.1309 7.77296 15.9792C7.77296 15.9305 7.78379 15.8872 7.80546 15.8492L8.77504 14.0834H16.8459C17.6584 14.0834 18.368 13.6338 18.7417 12.9676L22.6146 5.93675C22.7013 5.78508 22.75 5.60633 22.75 5.41675C22.75 4.8155 22.2625 4.33341 21.6667 4.33341H5.64962L4.62046 2.16675H1.08337ZM18.4167 19.5001C17.2196 19.5001 16.2609 20.4697 16.2609 21.6667C16.2609 22.8638 17.2196 23.8334 18.4167 23.8334C19.6138 23.8334 20.5834 22.8638 20.5834 21.6667C20.5834 20.4697 19.6138 19.5001 18.4167 19.5001Z' fill='black'/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id='clip0_0_519'%3E%3Crect width='26' height='26' fill='white'/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E%0A");
    background-repeat: no-repeat;
    background-position: center;
}
.header-center-right {
    display: flex;
    align-items: center;
    gap: 20px;
}
.header_search {
    transform: translate(-50%, -50%);
}
.card-slider-container {
    margin-top: 30px;
}
.basket-btn__counter {
    position: absolute;
    left: 17px;
    top: 3px;
    color: red;
    box-shadow: #ffffff;
    /* background-color: rgba(255, 255, 255, 0.7); */
    font-weight: bold;
}
.section-categories {
    background-color: #1f2528;
    display: flex;
    justify-content: center;
    gap: 20px;
    padding-top: 25px;
    padding-bottom: 25px;
    /* margin-bottom: 25px; */
}
.section-categories-inner {
    justify-content: center;
    gap: 20px;
    padding-top: 25px;
    padding-bottom: 25px;
    align-items: stretch;
}
.section-contacts {
    width: 100%;
}
.section-contacts-inner {
    position: relative;
}
.section-contacts-inner .contacts {
    position: absolute;
    width: 100%;
    top: 100px;
}
.section-contacts-inner .contacts {
    left: 100px;
    width: 350px;
    background-color: rgba(31, 37, 40, 0.7);
    border-radius: 22px;
    color: #ffffff;
    padding: 12px;
}
.section-contacts-inner .contacts .contacts_inner {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.section-contacts-inner .contacts a {
    color: #ffffff;
}
.section-categories h2 {
    color: #ffffff;
}
.section-about {
    margin-bottom: 25px;
}
.site-content.site-content-nopadding {
    width: 100% !important;
    max-width: 100%;
    padding-left: 0;
    padding-right: 0;
}
.site-content.site-content-nopadding .site-content-inner {
    justify-content: center;
    /* margin-bottom: 20px; */
}

.section-categories a {
    color: #ffffff;
    text-align: center;
}
.cat_item {
    box-sizing: border-box;
    width: 33%;
    min-height: 100%;
}
.cat_item .entry-title {
    margin-top: 0;
    background-color: #31363a;
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
}
.cat_item .entry-title a {
    text-decoration: none;
}
.cat_item .entry-title h3 {
    margin-bottom: 0;
    padding: 12px 25px;
    text-decoration: none;
    text-align: left;
    color: #ffffff;
}
.cat_item .entry-title a:hover h3 {
    text-decoration: underline;
}
.cat_img {
    min-width: 100%;
    height: 100%;
    object-fit: cover;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
}
.img_link {
    display: inline-block;
    height: 80%;
    width: 100%;
}
.flex-column {
    flex-direction: column;
}
#map {
    height: 450px;
    width: 100%;
}
.contacts {
}
.techdoc-group {
    overflow-x: auto;
}
.techdoc-items > .wp-block-columns {
    flex-wrap: nowrap !important;
}
.techdoc-items > .wp-block-columns .wp-block-column:first-child a {
    text-transform: uppercase;
}
ul.page-numbers {
    list-style: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

ul.page-numbers li a,
ul.page-numbers li span {
    padding: 10px;
    display: flex;
    align-items: center;
    font-weight: bold;
}
.arrow {
    display: inline-block;
    width: 12px;
    height: 20px;
}
.arrow-next {
    background-image: url("data:image/svg+xml,%3Csvg width='12' height='20' viewBox='0 0 12 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12 10L2.28556 20L-1.73503e-07 17.6473L7.43534 9.99334L-1.73503e-07 2.33943L2.28556 0L12 10Z' fill='%232E3A59'/%3E%3C/svg%3E%0A");
}
.arrow-prev {
    background-image: url("data:image/svg+xml,%3Csvg width='12' height='20' viewBox='0 0 12 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0 10L9.71444 20L12 17.6473L4.56466 9.99334L12 2.33943L9.71444 0L0 10Z' fill='%232E3A59'/%3E%3C/svg%3E%0A");
}
.input-text {
    max-width: 86px;
}
.wc-block-cart-item__image,
.wc-block-cart-items__header-product {
    display: none;
}
.wc-block-components-order-summary-item__quantity {
    border: none;
}
.wc-block-components-order-summary-item__image img {
    display: none;
}
.wc-block-components-order-summary-item__description {
    order: 1;
}
.wc-block-components-order-summary-item__image {
    order: 2;
}
.wc-block-components-order-summary-item__total-price {
    order: 3;
}
.columns-3 {
    overflow-x: auto;
}
.footer-navigation {
    background: #26252d;
    margin-bottom: 25px;
}
.post-card--standard {
    margin-bottom: 0;
}
.post-card--standard::after {
    margin-bottom: 0;
    border-bottom: none !important;
    display: none !important;
}
.post-card__title span {
    font-size: 18px;
}
.filter-title {
    display: none;
}
.filter-title h3 {
    margin-bottom: 0;
}
form.cart {
    display: flex !important;
}
.wpfFilterWrapper {
    border: solid 1px #111;
    padding: 12px !important;
}
.catalog-content {
    width: 100%;
    display: flex;
    gap: 20px;
}
.content-area {
    flex-basis: 100%;
    max-width: 100%;
}
.sticky-sidebar {
    min-width: 250px;
}
.main-col {
    width: 100%;
}
.filter-title {
    display: none;
}
tr {
    transition: all 0.5s ease-in-out;
}
tr:nth-child(odd) {
    background-color: #e8e7e6;
}
tr:nth-child(odd):hover {
    background-color: #f3f2f1;
}
tr:nth-child(even):hover {
    background-color: #fcf8f5;
}
.woocommerce-input-wrapper .input-text {
    width: auto;
    min-width: 200px;
}
.form-row.notes {
    display: flex;
    align-items: center;
}
.form-row label {
    margin-right: 10px;
}
.form-row.notes::before {
    display: none;
}
.techdoc-items.is-layout-flex {
    display: block;
    /* flex-wrap: nowrap; */
}
/* .techdoc-items .wp-block-column {
    max-height: 50px;
} */
.techdoc-items .wp-block-column:nth-child(3) {
    min-width: 20px;
}
.techdoc-items .wp-block-column:nth-child(3) .wp-block-file a {
    white-space: nowrap;
}
.techdoc-items .wp-block-file a {
    font-size: 16px;
    text-decoration: none;
}

.techdoc-items .wp-block-file a:hover {
    text-decoration: underline;
}
.main-navigation{
    margin-top: 0 !important;
    background-color: #dbfff1;
    min-height: 90px;
}
@media (max-width: 991px) {
    td form.cart {
        flex-direction: column;
    }
    .site-header-inner {
        justify-content: center;
    }
    .site-navigation {
        display: none;
    }
    .filter-title {
        display: block;
        background-color: #111;
        color: #ffffff;
        padding: 12px;
        font-size: 24px;
        font-weight: bold;
    }
    form.cart {
        flex-direction: column;
    }
    form.cart .quantity {
        display: flex;
        gap: 7px;
        padding-left: 10px;
        padding-right: 0;
        justify-content: center;
        margin-bottom: 8px;
    }
    form.cart .quantity input {
        width: 100%;
        border-radius: 10px;
    }
}
@media (max-width: 976px) {
    /* .techdoc-items .wp-block-column {
        max-height: 170px;
    } */
    .site-header {
        max-height: auto;
        /* justify-content: center; */
    }
    .content {
        padding-left: 0;
        padding-right: 0;
    }

    aside#secondary {
        display: flex !important;
        order: -2;
    }
    .catalog-content {
        flex-direction: column;
    }
    .wpfMainWrapper {
        /* display: none; */
    }
    .wpfFilterButton.wpfButton,
    .wpfClearButton.wpfButton {
        width: 100% !important;
    }
}

@media (max-width: 767px) {
    .content {
        padding-left: 10px;
        padding-right: 10px;
    }
    .section-categories {
        background-color: #ffffff;
    }
    .section-categories .container h2 {
        color: #111;
    }
    .section-categories-inner {
        flex-direction: column;
    }
    .cat_item {
        width: 100%;
    }
    h2 {
        padding: 12px;
        margin-bottom: 0;
    }
    .header-search {
        position: static;
    }
    .humburger {
        top: auto;
    }
    .site-header {
        min-height: auto;
    }
}
@media (max-width: 520px) {
    .social-links {
        display: none;
    }
    .header__busket-wrapper {
        margin-right: 55px;
    }
}
#cookie_note {
    display: none;
    position: fixed;
    z-index: 99999999;
    bottom: 15px;
    left: 50%;
    max-width: 90%;
    transform: translateX(-50%);
    padding: 20px;
    background-color: white;
    border-radius: 4px;
    box-shadow: 2px 3px 10px rgba(0, 0, 0, 0.4);
}

#cookie_note p {
    margin: 0;
    font-size: 0.7rem;
    text-align: left;
    color: black;
    max-width: 75%;
    margin-right: 12px;
}

.cookie_accept {
    min-width: 150px;
    height: 55px;
    white-space: nowrap;
    background-color: #111;
    color: #ffffff;
    padding: 12px;
}
@media (min-width: 576px) {
    #cookie_note.show {
        display: flex;
    }
}

@media (max-width: 800px) {
    #cookie_note.show {
        display: block;
        text-align: left;
        /* left: 40%; */
        width: 90%;
    }
    #cookie_note.show p {
        margin-bottom: 10px;
        width: 95%;
    }
}
